Buy Now Buy Now *mycrysis-interstitial-content*
  • Author
    Message
    Posted
  • Subject: DX11 capable GPU?

    Hi
    I just downloaded the Crysis 3 MP beta and when i try to start it i get and error saying i need a DX11 capable GPU.
    I went into dxdiag and it says that i am currently running DX11 so i was wondering if anyone can help me out. my GPU is a ATI Radeon HD 4600 series.
    Thanks!
    11 Feb 2013, 03:46
  • Subject: Re: DX11 capable GPU?

    OGkrush wrote:Hi
    I just downloaded the Crysis 3 MP beta and when i try to start it i get and error saying i need a DX11 capable GPU.
    I went into dxdiag and it says that i am currently running DX11 so i was wondering if anyone can help me out. my GPU is a ATI Radeon HD 4600 series.
    Thanks!


    The Radeon HD 4600 series isn't DX11 capable guy. You'd be lucky to get DX10 on that ancient thing. The first DX11 cards were the Radeon HD 5000 series.

    You can purchase a 6800 or 7800 series for under $200. I'd suggest the 2GB edition of the 7850 or 7870. They are good little GPU's and should run the game on medium/high settings with ease and still get acceptable framerates, provided your system doesn't bottleneck on an old CPU.

    Deuces.
    11 Feb 2013, 04:41

ESRB Video Game Rating

This title is rated Mature for:

  • Blood
  • Partial Nudity
  • Strong Langague
  • Violence